Name:           anything-sync-daemon
Version:        5.86
Release:        %autorelease
Summary:        Anything-sync-daemon is a tiny pseudo-daemon designed to manage user defined dirs in tmpfs and to periodically sync back to the physical disc

License:        MIT
URL:            https://github.com/graysky2/%{name}
Source0:        %{rul}/archive/refs/tags/v%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  systemd

Requires:       bash
Requires:       rsync
Requires:       procps-ng
Requires:       findutils

%description
Anything-sync-daemon (asd) is a tiny pseudo-daemon designed to manage user defined dirs in tmpfs and to periodically sync back to the physical disc (HDD/SSD). This is accomplished via a symlinking step and an innovative use of rsync to maintain back-up and synchronization between the two. One of the major design goals of asd is a completely transparent user experience.

%post
%systemd_post asd-resync.service
%systemd_post asd-resync.timer

%preun
%systemd_preun asd-resync.service
%systemd_preun asd-resync.timer

%postun
%systemd_postun asd-resync.service
%systemd_postun asd-resync.timer

%package bash-completion
Summary: Bash completion for anything-sync-daemon
Requires: %{name}
Requires: bash-completion
%description bash-completion
This package provides bash-completion files for anything-sync-daemon


%package zsh-completion
Summary: Zsh completion for autorandr
Requires: zsh
Requires: %{name}
%description zsh-completion
This package provides zsh-completion files for autorandr

%prep
%setup -q

%build
make

%install
mkdir %{buildroot}/etc
make DESTDIR="%{buildroot}" install-systemd-all

%files
%license LICENSE
%doc README.md
%{_bindir}/anything-sync-daemon
%{_bindir}/asd
%{_sysconfdir}/asd.conf
%{_prefix}/lib/systemd/system/*
%{_mandir}/man1/anything-sync-daemon.1.gz
%{_mandir}/man1/asd.1.gz

%files bash-completion
%{_datadir}/bash-completion/completions/asd

%files zsh-completion
%{_datadir}/zsh/site-functions/_asd

%changelog
%autochangelog
